# $Revision: 1.18 $, $Date: 2006/12/13 22:18:45 $
%define		_modname	bz2
%define		_status		stable
%define		_sysconfdir	/etc/php
%define		extensionsdir	%(php-config --extension-dir 2>/dev/null)
Summary:	%{_modname} - A bzip2 management system
Summary(pl):	%{_modname} - Zarzdzanie plikami bzip2
Name:		php-pecl-%{_modname}
Version:	1.0
Release:	6
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	f6af3f931c582c90417177b66197f9cd
URL:		http://pecl.php.net/package/bz2/
BuildRequires:	bzip2-devel
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.322
%{?requires_php_extension}
Requires:	%{_sysconfdir}/conf.d
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
%{_modname} is an extension to create and parse bzip2 compressed data.

In PECL status of this package is: %{_status}.

%description -l pl
%{_modname} jest rozszerzeniem udostpniajcym obsug danych
skompresowanych do formatu bzip2.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/conf.d,%{extensionsdir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{extensionsdir}
cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart

%postun
if [ "$1" = 0 ]; then
	[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
	[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{extensionsdir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-bz2.spec,v $
Revision 1.18  2006/12/13 22:18:45  glen
- rel 6 (php 5.2.0)

Revision 1.17  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.16  2005/12/22 12:12:04  glen
- rel 5 (rebuild with new php)

Revision 1.15  2005/10/30 13:29:27  glen
- rel 4

Revision 1.14  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.13  2005/09/13 23:18:36  glen
- workaround for spec parser having macro undefined yet and not seeing BR

Revision 1.12  2005/09/13 21:13:03  glen
- use new php/zend api macros

Revision 1.11  2005/09/12 12:36:19  glen
- ./adapter -s

Revision 1.10  2005/09/11 23:53:22  glen
- full conf.d support and unifications

Revision 1.9  2004/05/30 15:58:51  adamg
- fixed english information about status of the package (also s/PEAR/PECL/)

Revision 1.8  2003/10/15 17:37:04  adamg
- it finally happened - PECL separated from PEAR and moved to its own
  repository, thus changes in urls (s/pear/pecl/)

Revision 1.7  2003/10/07 20:57:03  adamg
- do not use macros in URL

Revision 1.6  2003/08/31 20:49:12  adamg
- more specific URL

Revision 1.5  2003/06/12 12:31:48  qboosh
- cosmetics

Revision 1.4  2003/06/11 20:28:22  adamg
- fixed status info

Revision 1.3  2003/06/11 17:38:44  adamg
- forgot about descriptions :|

Revision 1.2  2003/06/11 17:31:25  adamg
- fixed source0-md5

Revision 1.1  2003/06/11 17:27:51  adamg
- initial import
